/*	BitmapStream.h
 */

#pragma once

#include "DStream.h"
#include "Datatypes.h"

class BBitmap;


class BitmapStream :
	public DStream
{
public:
								BitmapStream(
									BBitmap *		map = NULL);
								~BitmapStream();

		long					Read(	//	returns 0 for success
									void *			buffer,
									long &			size);
		long					Write(	//	returns 0 for success
									const void *	data,
									long			size);
		long					Seek(	//	returns 0 for success
									long			position);
		long					Position(); // returns position
		long					Size(); // returns total size
		long					SetSize(	//	returns 0 for success
									long			size);

		long					DetachBitmap(
									BBitmap * &		outMap);
protected:
		DATABitmap				fHeader;
		BBitmap *				fMap;
		long					fPosition;
		long					fSize;
		bool					fDetached;
};


