// TCPStream.h

#pragma once

#include "DStream.h"

class TCPStream : public DStream {
public:

		TCPStream(char *sitename, unsigned short port);
		~TCPStream();

		virtual long Read(void *buffer, long &size);
		virtual long Write(const void *data, long size);
		
		virtual long Seek(long position);
		virtual long Size();		
		virtual long Position();
		virtual long SetSize(long size);

protected:

		virtual long SendRequest(int socket) { };
				void CacheResume();
				void CachePause();
				bool IsCacheOn();
				long BytesRead();

private:

		struct 	sockaddr_in 	SockBlock;
		struct 	hostent 		*OurAdd;

		int		fSocket;
		bool	fConnected;
		bool 	fUseCache;
		char	*fCache;
		long	fCachePosition;
		long	fPosition;
		char	*fSitename;
		unsigned short	fPort;			
};